Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000942bareos-core[All Projects] storage daemonpublic2018-05-04 21:002018-09-14 21:37
Reporteravantsysadm@avant.ca 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSCentOSOS Version6
Product Version18.1.2 
Target VersionFixed in Version 
Summary0000942: undefined symbol when launching SD in bareos-18.1.3.1520460015.ae715e4f-1331.1.el6.x86_64 RPM
Description(So my server has the "experimental" yum repo enabled, yes I'm fully aware I've shot myself in the foot here, I don't remember why we did that in the first place.)

When the latest nightly RPM, bareos-18.1.3.1520460015.ae715e4f-1331.1.el6.x86_64 installed, the storage director fails to start with:

   Xbackup1-sd ERROR TERMINATION
   Unable to load any shared library for libbareossd-tape.so

Configuration files haven't changed in almost a year.
Steps To ReproduceInstall latest nightly RPM. Try to start SD. Boom.

I have confirmed the RPM packages are installed correctly, are not corrupt, and I've even tried reinstalling them.
Additional InformationThe failing symbol is _ZN19generic_tape_device7offlineEv, which suggests this might be a linking problem, not a code problem.


[root@backup1 bareos]# bareos-sd -vf -dt -d100
04-May-2018 13:48:31.423475 bareos-sd (100): lib/parse_conf.cc:151-0 config file = /etc/bareos/bareos-sd.conf
04-May-2018 13:48:31.423582 bareos-sd (100): lib/lex.cc:333-0 glob /etc/bareos/bareos-sd.conf: 1 files
04-May-2018 13:48:31.423607 bareos-sd (100): lib/lex.cc:227-0 open config file: /etc/bareos/bareos-sd.conf
04-May-2018 13:48:31.423831 bareos-sd (90): stored/stored_conf.cc:846-0 Inserting Director res: backup1-mon
04-May-2018 13:48:31.424026 bareos-sd (90): stored/stored_conf.cc:846-0 Inserting Device res: tapedrive-tl1000
04-May-2018 13:48:31.424125 bareos-sd (100): lib/lex.cc:333-0 glob /etc/bareos/bareos-sd.conf: 1 files
04-May-2018 13:48:31.424144 bareos-sd (100): lib/lex.cc:227-0 open config file: /etc/bareos/bareos-sd.conf
04-May-2018 13:48:31.428364 backup1-sd (100): lib/jcr.cc:141-0 read_last_jobs seek to 192
04-May-2018 13:48:31.428385 backup1-sd (100): lib/jcr.cc:148-0 Read num_items=0
04-May-2018 13:48:31.428421 backup1-sd (8): lib/crypto_cache.cc:55-0 Could not open crypto cache file. /var/lib/bareos/bareos-sd.9103.cryptoc ERR=No such file or directory
04-May-2018 13:48:31.428502 backup1-sd (50): lib/plugins.cc:222-0 load_plugins
04-May-2018 13:48:31.429607 backup1-sd (10): stored/socket_server.cc:113-0 stored: listening on port 9103
04-May-2018 13:48:31.429646 04-May-2018 13:48:31.429650 backup1-sd (100): include/jcr.h:291-0 Contruct JCR
backup1-sd (100): lib/bnet_server_tcp.cc:174-0 Addresses host[ipv4;0.0.0.0;9103]
04-May-2018 13:48:31.429756 backup1-sd (90): stored/stored.cc:627-0 calling init_dev /backups/bareos
04-May-2018 13:48:31.429800 backup1-sd (100): stored/ndmp_tape.cc:1316-0 Addresses host[ipv4;0.0.0.0;10000]
04-May-2018 13:48:31.429848 backup1-sd (100): stored/dev.cc:397-0 init_dev: tape=0 dev_name=/backups/bareos
04-May-2018 13:48:31.429864 backup1-sd (100): stored/dev.cc:399-0 dev=/backups/bareos dev_max_bs=0 max_bs=0
04-May-2018 13:48:31.429876 backup1-sd (10): stored/stored.cc:629-0 SD init done /backups/bareos
04-May-2018 13:48:31.429897 backup1-sd (100): stored/block.cc:129-0 created new block of blocksize 64512 (dev->device->label_block_size) as dev->max_block_size is zero
04-May-2018 13:48:31.429969 backup1-sd (90): stored/stored.cc:627-0 calling init_dev /dev/tape/by-id/scsi-350016977299e1010-nst
04-May-2018 13:48:31.429988 backup1-sd (100): stored/sd_backends.cc:116-0 init_backend_dev: testing backend /usr/lib64/bareos/backends/libbareossd-tape.so
04-May-2018 13:48:31.430132 backup1-sd (100): stored/sd_backends.cc:128-0 Unable to load shared library: /usr/lib64/bareos/backends/libbareossd-tape.so ERR=/usr/lib64/bareos/backends/libbareossd-tape.so: undefined symbol: _ZN19generic_tape_device7offlineEv
Xbackup1-sd ERROR TERMINATION
Unable to load any shared library for libbareossd-tape.so

[root@backup1 bareos]# rpm -q bareos
bareos-18.1.3.1520460015.ae715e4f-1331.1.el6.x86_64


I don't know when this broke, my colleague is out of the country right now, and I've just started looking at this server again. Presumably fairly recently, but unable to say exactly, sorry.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0002997)
joergs (administrator)
2018-05-05 10:24

Thank you for this report. We will look into this issue.
(0002998)
joergs (administrator)
2018-05-05 12:50

Please provide a list of installed bareos packages (rpm -qa | grep bareos).
(0002999)
avantsysadm@avant.ca (reporter)
2018-05-07 16:32

My apologies, since this is our production backup server, I had to revert to the officially-supported 17.2 RPMs from the portal site, so I can't provide a direct answer.
I don't need this solved, I just wanted to point out that there's a potential problem with the CentOS6 rpms. I'll also be upgrading to CentOS 7 now, thanks to the WebUI-vs-PHP issue :-(.

I *can* tell you that I had attempted to resolve the problem by running "yum install bareos\*" which ran without error, and I expect that pulled in the entire set of 18.1.3.1520460015.ae715e4f-1331.1.el6.x86_64 RPMs.
(0003101)
kic68 (reporter)
2018-08-14 14:01

Hi,

I am trying to install bareos on Ubuntu 18.04 so I currently have to use the nightly build(s) and I am fully aware of the meaning of nightly. Just FYI that something is not right yet.

This error comes from the July 23 nightly download.

The storage daemon is crashing with the same error message in libbareossd-tape.so:

xxxxx.com-sd (850): lib/message.cc:1558-0 Enter Jmsg type=4
xxxxx.com-sd (850): lib/message.cc:859-0 Enter DispatchMessage type=4 xxxxx.com-sd JobId 0: Error: Unable to load shared library: /usr/lib/bareos/backends/libbareossd-tape.so ERR=/usr/lib/bareos/backends/libbareossd-tape.so: undefined symbol: _ZN19generic_tape_device7offlineEv
xxxxx.com-sd (850): lib/message.cc:1130-0 DIRECTOR for following msg: xxxxx.com-sd JobId 0: Error: Unable to load shared library: /usr/lib/bareos/backends/libbareossd-tape.so ERR=/usr/lib/bareos/backends/libbareossd-tape.so: undefined symbol: _ZN19generic_tape_device7offlineEv
xxxxx.com-sd (800): lib/message.cc:1135-0 no jcr for following msg: xxxxx.com-sd JobId 0: Error: Unable to load shared library: /usr/lib/bareos/backends/libbareossd-tape.so ERR=/usr/lib/bareos/backends/libbareossd-tape.so: undefined symbol: _ZN19generic_tape_device7offlineEv
xxxxx.com-sd (100): stored/sd_backends.cc:146-0 Unable to load shared library: /usr/lib/bareos/backends/libbareossd-tape.so ERR=/usr/lib/bareos/backends/libbareossd-tape.so: undefined symbol: _ZN19generic_tape_device7offlineEv

Maybe the next build will be fixed already.

Thanks and best,
Torben
(0003108)
pstorz (administrator)
2018-09-14 16:17

Fix committed to bareos dev branch with changesetid 9481.
(0003109)
pstorz (administrator)
2018-09-14 16:40

Fix committed to bareos dev branch with changesetid 9485.
(0003110)
pstorz (administrator)
2018-09-14 16:42

Fix committed to bareos dev branch with changesetid 9488.
(0003111)
pstorz (administrator)
2018-09-14 16:52

Fix committed to bareos dev branch with changesetid 9494.
(0003112)
pstorz (administrator)
2018-09-14 17:03

Fix committed to bareos dev branch with changesetid 9497.
(0003113)
pstorz (administrator)
2018-09-14 21:37

Fix committed to bareos dev branch with changesetid 9502.

- Related Changesets
bareos: dev 3646657c
Timestamp: 2018-09-14 16:14:15
Author: pstorz
Ported: N/A
Details ] Diff ]
storage backends: build libbareos-gentape as shared lib

and link libbareossd-tape against it

Before, accidentally libbareos-gentape was linked as MODULE
so libbareossd-tape was missing its symbols and could not be loaded.

Fixes 0000942: undefined symbol when launching SD
mod - core/src/stored/backends/CMakeLists.txt Diff ] File ]
bareos: dev e455a17f
Timestamp: 2018-09-14 16:14:15
Author: pstorz
Ported: N/A
Details ] Diff ]
storage backends: build libbareos-gentape as shared lib

and link libbareossd-tape against it

Before, accidentally libbareos-gentape was linked as MODULE
so libbareossd-tape was missing its symbols and could not be loaded.

Fixes 0000942: undefined symbol when launching SD
mod - core/src/stored/backends/CMakeLists.txt Diff ] File ]
bareos: dev f4226f3c
Timestamp: 2018-09-14 16:14:15
Author: pstorz
Ported: N/A
Details ] Diff ]
storage backends: build libbareos-gentape as shared lib

and link libbareossd-tape against it

Before, accidentally libbareos-gentape was linked as MODULE
so libbareossd-tape was missing its symbols and could not be loaded.

Fixes 0000942: undefined symbol when launching SD
mod - core/src/stored/backends/CMakeLists.txt Diff ] File ]
bareos: dev 27e23c19
Timestamp: 2018-09-14 16:14:15
Author: pstorz
Ported: N/A
Details ] Diff ]
storage backends: build libbareos-gentape as shared lib

and link libbareossd-tape against it

Before, accidentally libbareos-gentape was linked as MODULE
so libbareossd-tape was missing its symbols and could not be loaded.

Fixes 0000942: undefined symbol when launching SD
mod - core/src/stored/backends/CMakeLists.txt Diff ] File ]
bareos: dev 0dc81c40
Timestamp: 2018-09-14 16:14:15
Author: pstorz
Ported: N/A
Details ] Diff ]
storage backends: build libbareos-gentape as shared lib

and link libbareossd-tape against it

Before, accidentally libbareos-gentape was linked as MODULE
so libbareossd-tape was missing its symbols and could not be loaded.

Fixes 0000942: undefined symbol when launching SD
mod - core/src/stored/backends/CMakeLists.txt Diff ] File ]
bareos: dev 9fa20bbc
Timestamp: 2018-09-14 16:14:15
Author: pstorz
Ported: N/A
Details ] Diff ]
storage backends: build libbareos-gentape as shared lib

and link libbareossd-tape against it

Before, accidentally libbareos-gentape was linked as MODULE
so libbareossd-tape was missing its symbols and could not be loaded.

Fixes 0000942: undefined symbol when launching SD
mod - core/src/stored/backends/CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-05-04 21:00 avantsysadm@avant.ca New Issue
2018-05-05 10:24 joergs Note Added: 0002997
2018-05-05 10:24 joergs Status new => acknowledged
2018-05-05 12:50 joergs Note Added: 0002998
2018-05-05 12:50 joergs Status acknowledged => feedback
2018-05-07 16:32 avantsysadm@avant.ca Note Added: 0002999
2018-05-07 16:32 avantsysadm@avant.ca Status feedback => new
2018-08-14 14:01 kic68 Note Added: 0003101
2018-09-14 16:17 pstorz Changeset attached => bareos dev 3646657c
2018-09-14 16:17 pstorz Note Added: 0003108
2018-09-14 16:17 pstorz Status new => resolved
2018-09-14 16:17 pstorz Resolution open => fixed
2018-09-14 16:40 pstorz Changeset attached => bareos dev e455a17f
2018-09-14 16:40 pstorz Note Added: 0003109
2018-09-14 16:42 pstorz Changeset attached => bareos dev f4226f3c
2018-09-14 16:42 pstorz Note Added: 0003110
2018-09-14 16:52 pstorz Changeset attached => bareos dev 27e23c19
2018-09-14 16:52 pstorz Note Added: 0003111
2018-09-14 17:03 pstorz Changeset attached => bareos dev 0dc81c40
2018-09-14 17:03 pstorz Note Added: 0003112
2018-09-14 21:37 pstorz Changeset attached => bareos dev 9fa20bbc
2018-09-14 21:37 pstorz Note Added: 0003113


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker